# Redirect

## RedirectEnroll

> Redirects an enroll transaction with status ENROLL\_REJECTED to a SEARCH transaction with a new guid.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/redirect/verify/{guid}":{"put":{"tags":["Redirect"],"operationId":"RedirectEnroll","summary":"RedirectEnroll","description":"Redirects an enroll transaction with status ENROLL_REJECTED to a SEARCH transaction with a new guid.","parameters":[{"name":"guid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RedirectEnrollResponse"}}}}}}}},"components":{"schemas":{"RedirectEnrollResponse":{"title":"RedirectVerifyResponse","type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ERROR"]}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.griaule.com/apis/spid/redirect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
